/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.custom;

import com.vektorsoft.demux.desktop.jfx.main.impl.JFXWindowServiceImpl;
import com.vektorsoft.demux.desktop.jfx.main.svc.JFXWindowService;
import java.io.File;
import java.net.MalformedURLException;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

/**
 *
 * @author Vladimir Djurovic
 */
public class WindowServiceTracker implements ServiceTrackerCustomizer<JFXWindowService, JFXWindowServiceImpl> {
    
    private BundleContext context;
    
    public WindowServiceTracker(BundleContext ctx){
        this.context = ctx;
    }

    @Override
    public JFXWindowServiceImpl addingService(ServiceReference<JFXWindowService> sr) {
        JFXWindowServiceImpl svc = (JFXWindowServiceImpl)context.getService(sr);
        svc.setTitle("Custom title");
            svc.setWindowIcons(getClass().getResource("/acp_icon_16x16.png"),
                    getClass().getResource("/acp_icon_32x32.png"));
        
        return svc;
    }

    @Override
    public void modifiedService(ServiceReference<JFXWindowService> sr, JFXWindowServiceImpl t) {
        
    }

    @Override
    public void removedService(ServiceReference<JFXWindowService> sr, JFXWindowServiceImpl t) {
        
    }

}
