/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.props;

import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.layout.HBox;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (parentViewId = JFXRootView.JFX_ROOT_VIEW_ID, viewID = "propView")
public class PropertyView {

    private DMXAdapter adapter;
    
    @DMXViewDeclaration.ViewUI
    private HBox root;
    
    public PropertyView(DMXAdapter adapter){
        this.adapter = adapter;
    }
    
    @DMXViewDeclaration.Render
    public void render(){
        
    }
    
    @DMXViewDeclaration.ConstructUI
    public void construct(){
        root = new HBox(5);
        
        CheckBox cbox = new CheckBox("Toggle me");
        cbox.setId("cbox");
        root.getChildren().add(cbox);
        
        Button button = new Button("Check");
        button.setId("Checkbutton");
        root.getChildren().add(button);
    }

    public HBox getRoot() {
        return root;
    }
    
}
