
package com.vektorsoft.demux.samples.props;

import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import javafx.event.ActionEvent;

/**
 * Simple implementation of {@code ServiceTracker} used to track changes to {@code DMXAdapter} service.
 * 
 */
public class SampleTrackerHandler extends DMXAdapterTrackerHandler {

    @Override
    public void onAdapterAdded(DMXAdapter adapter) {
       adapter.registerView(PropertyView.class);
        adapter.registerController(new ClickController());
        adapter.registerEventHandler(new CheckListener(adapter));
        adapter.registerEventHandler(new ButtonClickListener(adapter, ActionEvent.ACTION));
    }

    @Override
    public void onAdapterModified(DMXAdapter adapter) {
        // add here logic needed to run when adapter is modfied
    }

    @Override
    public void onAdapterRemoved(DMXAdapter adapter) {
        // add here logic needed to run when adapter is removed
    }

}
