/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.views.activate;

import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.app.DMXCoreConstants;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.HBox;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (parentViewId = JFXRootView.JFX_ROOT_VIEW_ID, viewID = "view-two")
public class ViewTwo {
    
    private DMXAdapter adapter;
    
    @DMXViewDeclaration.ViewUI
    private HBox root;
    
    private Button button;
    
    public ViewTwo(DMXAdapter adapter){
        this.adapter = adapter;
    }
    
    @DMXViewDeclaration.ConstructUI
    public void createUI(){
        root = new HBox(50);
        Label label = new Label("This is view number two.");
        root.getChildren().add(label);
        
        button = new Button("Activate view number 3");
         button.setOnAction(new EventHandler<ActionEvent>() {

            @Override
            public void handle(ActionEvent t) {
                adapter.invokeController(DMXCoreConstants.CTRL_VIEW_ACITVATION, "view-three");
            }
        });
        root.getChildren().add(button);
    }

    public HBox getRoot() {
        return root;
    }
    
    public void setRoot(HBox root) {
        this.root = root;
    }
    
    @DMXViewDeclaration.Render
    public void render(){
        
    }
    
    @DMXViewDeclaration.PlacementConstraint
    public Integer constraint(){
        return 20;
    }
    

}
