/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.extend.android;

import android.content.Context;
import android.widget.TextView;
import com.vektorsoft.demux.samples.extensions.android.SimpleViewCallback;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author Vladimir Djurovic
 */
public class AndroidViewExtension extends SimpleViewCallback {
    
    private final String[] BUNDLES = {CallbackResources.class.getName()};

     private TextView txt;
     private int value;
     private Map<String, Object> dataMap = new HashMap<String, Object>();

    @Override
    public TextView getSubviewRoot(Context context) {
        txt = new TextView(context);
        txt.setText("Extension: random number: " + 0);
        return txt;
    }

    @Override
    public void render() {
        txt.setText("Extension: random number: " + value);
    }
    
    @Override
    public Map<String, Object> getCallbackData() {
        dataMap.put("randomVal", value);
        return dataMap;
    }

    @Override
    public void setDataValuesFromModel(Map<String, Object> dataMap) {
        if(dataMap.containsKey("randomVal")){
            value = (Integer)dataMap.get("randomVal");
        }
        
    }

    @Override
    public String[] getResourceBundles() {
        return BUNDLES;
    }
}
