/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.task.jfx;

import com.vektorsoft.demux.core.annotations.DMXModelData;
import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.dlg.DMXDialog;
import javafx.scene.control.ProgressBar;
import javafx.scene.layout.HBox;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (viewID = "dlgProgressView", parentViewId = "", isDialog = true, title = "Long running task")
public class DialogProgressView {

    @DMXModelData (id = "taskProgress")
    private float progress;
    
    private DMXDialog dialog;
    
    @DMXViewDeclaration.ViewUI
    private HBox root;
    private ProgressBar progressBar;
    
    public DialogProgressView(){
       
    }
    
    @DMXViewDeclaration.Render
    public void renderView(){
        progressBar.setProgress(progress);
    }
    
    @DMXViewDeclaration.ConstructUI
    public void makeUI(){
         root = new HBox(20.0);
        
        progressBar = new ProgressBar(progress);
        root.getChildren().add(progressBar);
    }

    public DMXDialog getDialog() {
        return dialog;
    }

    public void setDialog(DMXDialog dialog) {
        this.dialog = dialog;
    }

    public HBox getRoot() {
        return root;
    }

    public float getProgress() {
        return progress;
    }

    public void setProgress(float progress) {
        this.progress = progress;
    }
    
}
